%global major 1
%define libname %mklibname flashrom %major
%define devname %mklibname -d flashrom
Name:		flashrom
Version:	1.2
Release:	%mkrel 1
Summary:	Simple program for reading/writing flash chips content
Group:		System/Libraries
License:	GPLv2
URL:		https://flashrom.org

Source0:	https://download.flashrom.org/releases/%{name}-v%{version}.tar.xz
Patch0:    0001-Install-the-man-file-when-using-meson-as-a-buildsyst.patch

BuildRequires:	gcc
BuildRequires:	meson
BuildRequires:	pciutils-devel
BuildRequires:	libftdi-devel
BuildRequires:	libusb-devel
BuildRequires:	libusbx-devel
BuildRequires:	zlib-devel
BuildRequires:	dmidecode
Requires:	dmidecode
Requires:	udev


%description
flashrom is a utility for identifying, reading, writing, verifying and erasing
flash chips. It is designed to flash BIOS/EFI/coreboot/firmware/optionROM
images on mainboards, network/graphics/storage controller cards, and varlibftdi-develious
other programmer devices.

Your username must be a member of the group plugdev

%package -n %devname
Group: Development/Libraries
Summary: Development package for %{name}
Requires: %{name} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %devname
Files for development with %{name}.

%prep
%setup -qn %{name}-v%{version}
%apply_patches


%build
%meson \
  -Dconfig_internal=true \
  -Dconfig_atahpt=false \
  -Dconfig_atapromise=false \
  -Dconfig_atavia=false \
  -Dconfig_drkaiser=false \
  -Dconfig_gfxnvidia=false \
  -Dconfig_it8212=false \
  -Dconfig_nic3com=false \
  -Dconfig_nicintel_eeprom=false \
  -Dconfig_nicintel=false \
  -Dconfig_nicintel_spi=false \
  -Dconfig_nicnatsemi=false \
  -Dconfig_nicrealtek=false \
  -Dconfig_ogp_spi=false \
  -Dconfig_rayer_spi=false \
  -Dconfig_satamv=false \
  -Dconfig_satasii=false \
  -Dconfig_internal=false

%meson_build


%install
rm -rf %buildroot
%meson_install

install -D -p -m 0644 util/z60_flashrom.rules %{buildroot}/lib/udev/rules.d/60_flashrom.rules

%files
%{_sbindir}/%{name}
%{_mandir}/man8/%{name}.*
/lib/udev/rules.d/60_flashrom.rules
%{_libdir}/libflashrom.so.%{major}
%{_libdir}/libflashrom.so.%{major}.0.0

%files -n %devname
%{_includedir}/libflashrom.h
%{_libdir}/libflashrom.so
%{_libdir}/pkgconfig/flashrom.pc


%changelog
* Thu Jun 10 2021 tex - 1.2-1pclos2021
- new version
- meson build from source
